Get virtual tag config by token
curl --request GET \
--url https://api.vantage.sh/v2/virtual_tag_configs/{token} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/virtual_tag_configs/{token}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/virtual_tag_configs/{token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "vtag_9cefbbc5f17d06fc",
"created_by_token": "usr_f8c083243325740b",
"key": "Product Team",
"overridable": false,
"backfill_until": "2024-07-01",
"collapsed_tag_keys": [],
"values": [
{
"filter": "(costs.provider = 'aws' AND costs.service = 'Amazon Elastic Compute Cloud') AND (costs.provider = 'aws' AND costs.account_id IN ('1234', '5678'))",
"name": "Growth",
"label_transforms": [],
"percentages": [],
"date_ranges": [
{
"start_date": "2024-01-01",
"end_date": "2024-12-31"
}
]
},
{
"filter": "(costs.provider = 'aws' AND costs.account_id IN ('1234', '5678')) OR (costs.provider = 'gcp' AND costs.service = 'Google Compute Engine')",
"name": "API",
"label_transforms": [],
"percentages": [],
"date_ranges": []
}
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}VirtualTags
Get virtual tag config by token
Return a specific VirtualTagConfig.
GET
/
virtual_tag_configs
/
{token}
Get virtual tag config by token
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
VirtualTagConfig model
The token of the VirtualTagConfig.
Example:
"vtag_1234"
The token of the Creator of the VirtualTagConfig.
Example:
"usr_1234"
The key of the VirtualTagConfig.
Example:
"Cost Center"
Whether the VirtualTagConfig can override a provider-supplied tag on a matching Cost.
The earliest month VirtualTagConfig should be backfilled to.
Example:
"2026-02-01"
Tag keys to collapse values for.
Show child attributes
Show child attributes
Values for the VirtualTagConfig, with match precedence determined by their relative order in the list.
Show child attributes
Show child attributes
⌘I